Option Strict Off
Option Explicit On
Module DLLDef
	'-----------------------------------------------------------------
	' Axcpi01.vb
	' AXC-PI01 API.
	'
	' Copyright(C)ADTEK SYSTEM SCIENCE Co.,Ltd.
	'-----------------------------------------------------------------

	'-----------------------------------------------------------------
	' G[R[h
	'-----------------------------------------------------------------
	Public Const AXCPI01_SUCCESS As Integer = 0 				' ُȂiIj
	Public Const AXCPI01_ERR_SYSTEM As Integer = 1 				' Windows  GetLastError() R[Ă
	Public Const AXCPI01_ERR_NO_DEVICE As Integer = 2 			' gp\ȃfoCX܂
	Public Const AXCPI01_ERR_IN_USE As Integer = 3 				' w̃foCX͎gpł
	Public Const AXCPI01_ERR_INVALID_SOCKET As Integer = 4		' Ș_\Pbgł
	Public Const AXCPI01_ERR_RESOURCE As Integer = 5			' \[XG[
	Public Const AXCPI01_ERR_INVALID_PORT As Integer = 6 		' sȃ|[gv
	Public Const AXCPI01_ERR_INVALID_ARGUMENT As Integer = 7	' sȈv܂
	
	'-----------------------------------------------------------------
	' ̑̒萔
	'-----------------------------------------------------------------
	Public Const AXCPI01_MAX_SOCKETS As Short = 16
	Public Const AXCPI01_SOCKET_AUTO As Short = &HFFFFs
	
	'-----------------------------------------------------------------
	' hCo瑗Ă郁bZ[W
	' ̒l uWMBase𑫂lĂ܂
	'-----------------------------------------------------------------
	Public Const AXCPI01_WM_OFS_CARD_REMOVAL As Integer = 0
	
	'-----------------------------------------------------------------
	' \[X\̊evf̍ő吔
	'-----------------------------------------------------------------
	Public Const AXCPI01_MAX_MEM As Integer = 9
	Public Const AXCPI01_MAX_IO As Integer = 20
	Public Const AXCPI01_MAX_IRQ As Integer = 7
	Public Const AXCPI01_MAX_DMA As Integer = 7
	
	'-----------------------------------------------------------------
	' TvOtB^`
	'-----------------------------------------------------------------
	Public Const AXCPI01_PORT_DATA_L As Integer = 0 		' o̓|[gLow
	Public Const AXCPI01_PORT_DATA_H As Integer = 1 		' o̓|[gHigh
	Public Const AXCPI01_PORT_IO_SELECT_L As Integer = 2 	' o͑I|[gLow
	Public Const AXCPI01_PORT_IO_SELECT_H As Integer = 3 	' o͑I|[gHigh
	Public Const AXCPI01_PORT_OUTPUT_MODE_L As Integer = 4	' o̓[hݒ|[gLow
	Public Const AXCPI01_PORT_OUTPUT_MODE_H As Integer = 5 	' o̓[hݒ|[gHigh
	Public Const AXCPI01_PORT_PUPD_SELECT_L As Integer = 6 	' PullUp/PullDownI|[gLow
	Public Const AXCPI01_PORT_PUPD_SELECT_H As Integer = 7 	' PullUp/PullDownI|[gHigh
	Public Const AXCPI01_PORT_IRQ_L As Integer = 8 			' ݐݒ|[gLow
	Public Const AXCPI01_PORT_IRQ_H As Integer = 9 			' ݐݒ|[gHigh

	'-----------------------------------------------------------------
	' API Functions
	'-----------------------------------------------------------------
	Public Declare Function Axcpi01GetVersion Lib "Axcpi01w.dll" (ByRef pdwDllVer As Integer, ByRef pdwDrvVer As Integer) As Integer
	Public Declare Function Axcpi01Create Lib "Axcpi01w.dll" (ByRef pwLogSocket As Short, ByVal hWnd As Integer, ByVal uWMBase As Integer, ByRef pvInitArg As Integer) As Integer
	Public Declare Function Axcpi01Close Lib "Axcpi01w.dll" (ByVal wLogSocket As Short) As Integer
	Public Declare Function Axcpi01GetResource Lib "Axcpi01w.dll" (ByVal wLogSocket As Short, ByRef pdwIOPortBase As Integer, ByRef pdwIOPortLength As Integer) As Integer
	Public Declare Function Axcpi01InPortB Lib "Axcpi01w.dll" (ByVal wLogSocket As Short, ByVal dwPort As Integer, ByRef pbValue As Byte) As Integer
	Public Declare Function Axcpi01OutPortB Lib "Axcpi01w.dll" (ByVal wLogSocket As Short, ByVal dwPort As Integer, ByVal bValue As Byte) As Integer
    Public Declare Function Axcpi01InPortW Lib "Axcpi01w.dll" (ByVal wLogSocket As Short, ByVal dwPort As Integer, ByRef pwValue As Short) As Integer
    Public Declare Function Axcpi01OutPortW Lib "Axcpi01w.dll" (ByVal wLogSocket As Short, ByVal dwPort As Integer, ByVal wValue As Short) As Integer
	Public Declare Function Axcpi01GetIRQStatus Lib "Axcpi01w.dll" (ByVal wLogSocket As Short, ByRef pbStatus As Byte) As Integer
	Public Declare Function Axcpi01GetLastError Lib "Axcpi01w.dll" (ByVal wLogSocket As Short) As Integer
End Module